#!/bin/sh
. /opt/kelvpn/sbin/kelvpn_func.sh

ip_list_path="/opt/kelvpn/var/cache"
ip_list="$ip_list_path/youtube"

if test -d $ip_list_path; then
    log_it_debug "IP list path is present"
else
    mkdir -p $ip_list_path
    log_it "Created $ip_list_path"
fi

curl https://www.gstatic.com/ipranges/goog.json | grep ipv4Prefix | awk '{print $2;}'| sed 's/"//' | sed 's/"//'> $ip_list
for ip in `cat $ip_list`; do 
    log_it_debug "==$ip=="
done
